<?php

//////////////////////////////////////////////////////////////
//===========================================================
// editbackup_plan_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 2.8.1
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Husain
// Date:       16th Nov 2015
// Time:       15:20 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editbackup_plan_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $backup_plan, $backupservers, $done, $servers, $vpses, $bpid, $servergroups;

softheader($l['<title>']);
echo '
<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-clipboard"></i> '.$l['editbackup_plan'].'</h4>
	</div>
</div>';

error_handle($error);

if(!empty($done)){
	if(isset($_POST['backup_now'])){
		animate_task($l['back_now_task']);
	}
	show_alert($done);
}

echo '<script language="javascript" type="text/javascript">
	
	$(document).ready(function(){';
		
		if($backup_plan['frequency'] == 'daily'){
			echo '$("#backupday_tr").hide();
				  $("#backupdate_tr").hide();
				  $("#tr_time").show();
				  $("#backuphourly_tr").hide();';
		}elseif($backup_plan['frequency'] == 'weekly'){
			echo '$("#backupday_tr").show();
				 $("#backupdate_tr").hide();
				 $("#tr_time").show();
				 $("#backuphourly_tr").hide();';
		}elseif($backup_plan['frequency'] == 'monthly'){
			echo '$("#backupday_tr").hide();
				  $("#backupdate_tr").show();
				  $("#tr_time").show();
				  $("#backuphourly_tr").hide();';
		}elseif($backup_plan['frequency'] == 'hourly'){
			echo '$("#backupday_tr").hide();
				  $("#backupdate_tr").hide();
				  $("#tr_time").hide();
				  $("#backuphourly_tr").show();';
		}
		
		if(!empty($backup_plan['bid'])){
			echo '$("#tr_backup_servers").show();
				  $("#tr_local_dir").show();';
			if($backupservers[$backup_plan['bid']]['type'] == 'FTP'){
				echo '$("#type").val("FTP");';
			}else{
				echo '$("#type").val("SSH");';
			}
		}else{
			echo '$("#tr_backup_servers").hide();
				$("#tr_local_dir").show();
				$("#type").val("LOCAL");';
		}
		
		echo '$("input:radio").change(function(event){
			if(event.target.value == "weekly"){
				$("#backupday_tr").show();
				$("#backupdate_tr").hide();
				$("#tr_time").show();
				$("#backuphourly_tr").hide();
			}else if(event.target.value == "monthly"){
				$("#backupdate_tr").show();
				$("#backupday_tr").hide();
				$("#tr_time").show();
				$("#backuphourly_tr").hide();
			}else if(event.target.value == "daily"){
				$("#backupdate_tr").hide();
				$("#backupday_tr").hide();
				$("#tr_time").show();
				$("#backuphourly_tr").hide();
			}else if(event.target.value == "hourly"){
				$("#backupdate_tr").hide();
				$("#backupday_tr").hide();
				$("#tr_time").hide();
				$("#backuphourly_tr").show();
			}else{
				$("#backupdate_tr").hide();
				$("#backupday_tr").hide();
				$("#tr_time").hide();
				$("#backuphourly_tr").hide();
			}
		});

		$("#type").change(function(data){
			if(data.target.value == "LOCAL"){
				$("#tr_backup_servers").hide();
			}else{
				$("#tr_backup_servers").show();
				if(data.target.value == "FTP"){
					$(".FTP").show();
					$(".SSH").hide();
				}else{
					$(".SSH").show();
					$(".FTP").hide();
				}
			}

		});
		
		refresh_tasks();
		
		// Refresh tasks every 10 secs
		setInterval(refresh_tasks, 10000);

	});
	
	function refresh_tasks() {
		var cols = new Object();
		cols["actid"] = {"l" : "'.$l['actid'].'", "centered" : true};
		cols["vpsid"] = {"l" : "'.$l['vpsid'].'", "centered" : true};
		cols["user"] = {"l" : "'.$l['user'].'", "centered" : true};
		cols["server"] = {"l" : "'.$l['server'].' '.'('.$l['id'].')", "centered" : true};
		cols["started"] = {"l" : "'.$l['started'].'", width: 100, "centered" : true};
		cols["updated"] = {"l" : "'.$l['updated'].'", width: 100, "centered" : true};
		cols["ended"] = {"l" : "'.$l['ended'].'", width: 100, "centered" : true};
		cols["action_txt"] = {"l" : "'.$l['action'].'", width: 100};
		cols["status_txt"] = {"l" : "'.$l['status'].'", width: 200};
		cols["progress"] = {"l" : "'.$l['progress'].'"};
		cols["logs"] = {"l" : "'.$l['logs'].'", "centered" : true};';
		
		$vpsids = array_keys($vpses);
		
		echo '$.ajax({
			type: "GET",
			url: "'.$globals['index'].'act=tasks&vpsid='.implode(',', $vpsids).'&action=vpsbackups_plan,restorevps_plan&api=json&page=0&reslen=50",
			dataType : "json",
			success: function(data){
				
				if(empty(data["tasks"])) {
					// Show no tasks note if table empty
					$("#table_tasks_container").html("<div class=\"notice\"><b>'.$l['note'].' : </b> &nbsp; '.$l['no_tasks'].'</div>");
					return;
				}
				
				var rows = Array();
				
				$.each(data["tasks"], function(k, task) {
					
					rows[k] = new Object();
					rows[k]["actid"] = task["actid"];
					rows[k]["vpsid"] = task["vpsid"];
					rows[k]["user"] = empty(task["uid"]) ? "root" : task["email"];
					rows[k]["server"] = task["server_name"] + "(" + task["serid"] + ")";
					rows[k]["started"] = task["started"];
					rows[k]["updated"] = task["updated"];
					rows[k]["ended"] = task["ended"];
					rows[k]["action_txt"] = task["action_txt"];
					rows[k]["status_txt"] = task["status_txt"];
					rows[k]["progress"] = "<div class=\"progress-cont\" id=\"progress-cont"+task["actid"]+"\"><center><div class=\"text-center h6\" id=\"pbar"+task["actid"]+"\">"+task["progress"]+"%</center><div class=\"progress\"><div class=\"progress-bar bg-primary progress-bar-striped progress-bar-animated\" id=\"progressbar"+task["actid"]+"\"></div></div>";
					rows[k]["logs"] = "<button class=\"btn px-2 py-1\" onclick=\"loadlogs("+task["actid"]+");\">'.$l['show'].'</button>";
					
				});
				
				rows.sort(function(a, b){
					a = parseInt(a["actid"]);
					b = parseInt(b["actid"]);
					if(a < b) return 1;
					if(a > b) return -1;
					return 0;
				});
				
				table({"id" : "table_tasks_container", "tid" : "table_tasks", "width" : "100%"}, cols, rows);
				
				$.each(data["tasks"], function(index, task) {
					
					if(task["progress"] == 100){
						$("#status"+index).text("'.$l['completed'].'");
						$("#pbar"+index).text("100% '.$l['completed'].' !");
						$("#progressbar"+index).hide();
						$("#progressbar"+index).parent().css("border", "0px");
						$("#progressbar"+index).parent().removeClass("progress");
					}else if(task["status"] == -1){
						$("#status"+index).html(task["status_txt"]);
						$("#pbar"+index).text("'.$l['task_notcomplete'].'");
						$("#progressbar"+index).hide();
						$("#progressbar"+index).parent().css("border", "0px");
						$("#progressbar"+index).parent().removeClass("progress");
					}else {
						
						if(isNaN(task["progress"])){
							$("#pbar"+index).text(task["progress"]);
							$("#progressbar"+index).hide();
						}else{
							make_progress(index, Number(task["progress"]));
							$("#progressbar"+index).show();
						}
					}
					
				});
				
			}
		});
	}

	function make_progress(index, progress){
		var steps = 20;
		var start = $("#pbar"+index).text();
		start = (start.slice(0, -1));
		if(isNaN(start)){
			start = 0;
		}
		var step = (progress - start)/steps;
		if(step < 0){ step = 0;}
		var increment = function(){
			var val = $("#pbar"+index).text();
			val = Number(val.slice(0, - 1));
			prog = parseInt(val + Math.round(step));
			//alert("progr"+prog);
			if(prog > progress){ prog = progress;}
			if(prog < parseInt("100")){
				$("#pbar"+index).text(prog + "%");
				$("#progressbar"+index).width(prog + "%");
			}else{
				$("#progressbar"+index).width(100 + "%");
			}
			if (prog < progress){setTimeout(increment, 500);}
		};
		increment();
	};
	
	function toggle_advoptions(ele){
		
		var div_ele = $("#"+ele+"_advoptions");

		if (div_ele.is(":hidden")){
			$("#"+ele+"_advoptions_ind").text(" - ");
			div_ele.slideDown("slow");
		}
		else{
			$("#"+ele+"_advoptions_ind").text(" + ");
			div_ele.slideUp("slow");
		}
	}
	
</script>
<style>
		.vps_table th{
			width:auto !important; padding:5px 5px !important;
			background:#eeeef0;
			vertical-align:middle !important;
			postion:sticky;
			top:0px;
		}
		</style>
<style type="text/css">

.panel {
	min-height: 120px;
}
.panel-content {
	max-height: 400px;
	overflow: hidden;
}
.panel.panel-blue-grey {
	border-color: #607D8B;
}
.panel.panel-blue-grey .panel-heading {
	background-color: #607D8B;
	border-color: #607D8B;
	color: #fff;
	padding:10px;
}
.table-dash {
	margin-bottom: 4px;
}
.table-dash tbody tr td {
	vertical-align: middle;
}
.table-dash tr td:first-child, .table-dash tr th:first-child {
	padding-left: 16px;
}
.table-dash tr td:last-child, .table-dash tr th:last-child {
	padding-right: 16px;
}
.btn-logs {
	margin: 0;
	padding: 4px 8px;
	font-size: 12px;
}
table.tablesorter th {
	background-color: #F5F5F5;
	padding:5px !important;
}

#table_tasks_container table th{
		position:sticky;
		top:0px;
	}

</style>
<form accept-charset="'.$globals['charset'].'" name="editbackup_plan" method="post" action="" class="form-horizontal">

<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'general\');"><label id="general_advoptions_ind" class="min_width">-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;General Settings</div>
<div id="general_advoptions" class="bgaddv w-100">
	<div class="row mx-auto w-100 my-1">
		<div class="col-sm-12 col-md-12 col-lg-6 border-right">
			<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['backup_disabled'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_disabled'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						'.get_checkbox('disabled', '', 'disabled', array('chk_it' => 1, 'val' => $backup_plan['disabled'])).'
					</div>
				</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['planname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nameofplan'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<input type="text" class="form-control" name="plan_name" id="plan_name" value="'.POSTval('plan_name', $backup_plan['plan_name']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['sel_type'].'</label><br />
				</div>
				<div class="col-sm-6">
					<select id="type" class="custom-select" name="type">
						<option value="LOCAL" '.($backup_plan['bid'] == 0 ? 'selected=selected' : "").'>Local</option>
						<option value="FTP" '.($backup_plan['bid'] != 0 && $backupservers[$backup_plan['bid']]['type'] == 'FTP' ? 'selected=selected' : "").'>FTP</option>
						<option value="SSH" '.($backup_plan['bid'] != 0 && $backupservers[$backup_plan['bid']]['type'] == 'SSH' ? 'selected=selected' : "").'>SSH</option>
					</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3" id="tr_backup_servers" style="display:none">
				<div class="col-sm-6">
					<label class="control-label">'.$l['sel_backupserver'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_sel_backupserver'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="id">';
					foreach($backupservers as $k => $v){
						echo '<option class="'.$v['type'].'" value="'.$v['bid'].'" '.ex_POSTselect('id', $v['bid'], $backup_plan['bid']).' '.($backupservers[$backup_plan['bid']]['type'] != $v['type'] ? 'style="display:none;"' : '').'>'.$v['name'].'</option>';
					}
				echo '</select>
				</div>
			</div>					
			<div class="row mx-auto w-100 my-3" id="tr_dir">
				<div class="col-sm-6">
					<label class="control-label">'.$l['local_dir'].'&nbsp;<a class="info" data-placement="right" tooltip="'.htmlizer($l['exp_local_dir']).'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<input type="text" class="form-control" name="dir" id="dir" value="'.$backup_plan['dir'].'" size="40"/>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-6">
					<label class="control-label">'.$l['backup_freq'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_freq'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6">
					<label class="custom-control custom-radio">
						<input type="radio" class="custom-control-input" id="freqh" name="freq" value="hourly" '.POSTradio('freq', 'hourly', $backup_plan['frequency']).'>
						<span class="custom-control-label" for="freqh">'.$l['freq_hourly'].'</span>
					</label>
					<label class="custom-control custom-radio">
						<input type="radio" class="custom-control-input" id="freqd" name="freq" value="daily" '.POSTradio('freq', 'daily', $backup_plan['frequency']).'>
						<span class="custom-control-label" for="freqd">'.$l['freq_daily'].'</span>
					</label>
					<label class="custom-control custom-radio">
						<input type="radio" class="custom-control-input" id="freqw" name="freq" value="weekly" '.POSTradio('freq', 'weekly', $backup_plan['frequency']).'>
						<span class="custom-control-label" for="freqw">'.$l['freq_weekly'].'</span>
					</label>
					<label class="custom-control custom-radio">
						<input type="radio" class="custom-control-input" id="freqm" name="freq" value="monthly" '.POSTradio('freq', 'monthly', $backup_plan['frequency']).'>
						<span class="custom-control-label" for="freqm">'.$l['freq_monthly'].'</span>
					</label>
					<label class="custom-control custom-radio">
						<input type="radio" class="custom-control-input" id="freqmn" name="freq" value="manual" '.POSTradio('freq', 'manual', $backup_plan['frequency']).'>
						<span class="custom-control-label" for="freqmn">'.$l['freq_manual'].'</span>
					</label>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3" id="backuphourly_tr" style="display:none">
				<div class="col-sm-6">
					<label class="control-label">'.$l['backup_hourly'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_hourly'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select w-50" name="hourly_freq">';
						for($i=0;$i<24;$i++){
							echo '<option value="'.($i < 10 ? '0'.$i : $i).'" '.ex_POSTSelect('hourly_freq', $i, $backup_plan['hourly_freq']).' >'.($i < 10 ? '0'.$i : $i).'</option>';
						}
				echo'</select><label class="p-2">'.$l['hrs'].'</label>
				</div>
			</div>		
			<div class="row mx-auto w-100 my-3" id="backupday_tr" style="display:none;">
				<div class="col-sm-6">
					<label class="control-label">'.$l['backup_day'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_day'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="day">
						<option value="1" '.ex_POSTselect('day', "1", $backup_plan['run_day']).' >Monday</option>
						<option value="2" '.ex_POSTselect('day', "2", $backup_plan['run_day']).' >Tuesday</option>
						<option value="3" '.ex_POSTselect('day', "3", $backup_plan['run_day']).' >Wednesday</option>
						<option value="4" '.ex_POSTselect('day', "4", $backup_plan['run_day']).' >Thursday</option>
						<option value="5" '.ex_POSTselect('day', "5", $backup_plan['run_day']).' >Friday</option>
						<option value="6" '.ex_POSTselect('day', "6", $backup_plan['run_day']).' >Saturday</option>
						<option value="7" '.ex_POSTselect('day', "7", $backup_plan['run_day']).' >Sunday</option>
					</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3" id="backupdate_tr" style="display:none;">
				<div class="col-sm-6">
					<label class="control-label">'.$l['backup_date'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_date'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select name="date" class="custom-select">';
					for($i=1;$i<32;$i++){
						echo '<option value="'.$i.'" '.ex_POSTselect('date', $i, $backup_plan['run_date']).' >'.$i.'</option>';
					}
				echo '</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3" id="tr_time" style="display:none;">
				<div class="col-sm-6">
					<label class="control-label">'.$l['backup_time'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_time'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select w-25 p-1 float-left" name="hrs">';
					$parts = explode(':', $backup_plan['run_time']);
					$hrs = (int) $parts[0];
					$min = (int) $parts[1];
					
					for($i=0;$i<24;$i++){
						echo '<option value="'.($i < 10 ? '0'.$i : $i).'" '.ex_POSTselect('hrs', $i, $hrs).' >'.($i < 10 ? '0'.$i : $i).'</option>';
					}
				echo '</select>
					<label class="side_lbl">'.$l['hrs'].'</label>
					<select class="custom-select w-25 p-1 float-left" name="min">';
						for($i=0;$i<60;$i++){
							echo '<option value="'.($i < 10 ? '0'.$i : $i).'" '.ex_POSTselect('min', $i, $min).' >'.($i < 10 ? '0'.$i : $i).'</option>';
						}
				echo '</select><label class="side_lbl">'.$l['min'].'</label>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
						<label class="control-label">'.$l['backup_rotation'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_rotation'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="rotation">';
					for($i = 1; $i < 11; $i++){
						echo '<option value="'.$i.'" '.ex_POSTselect('rotation', $i, $backup_plan['rotation']).' >'.$i.'</option>';
					}
					
					echo '<option value="0" '.ex_POSTselect('rotation', 0, $backup_plan['rotation']).' >'.$l['unlimited'].'</option>';
					
				echo '</select>
				</div>
			</div>
		</div>
		<div class="col-sm-12 col-md-12 col-lg-6">
			<div class="row mx-auto w-100 my-3" id="tr_backup_limit">
				<div class="col-sm-6">
					<label class="control-label">'.$l['backup_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_limit'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="backup_limit" id="backup_limit">';
					
					echo '<option value="0" '.ex_POSTselect('backup_limit', 0, $backup_plan['backup_limit']).' >'.$l['disabled'].'</option>';
					
					for($i = 1; $i < 11; $i++){
						echo '<option value="'.$i.'" '.ex_POSTselect('backup_limit', $i, $backup_plan['backup_limit']).' >'.$i.'</option>';
					}
					
					echo '<option value="-1" '.ex_POSTselect('backup_limit', -1, $backup_plan['backup_limit']).' >'.$l['unlimited'].'</option>';
					
				echo '</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3" id="tr_restore_limit">
				<div class="col-sm-6">
					<label class="control-label">'.$l['restore_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_restore_limit'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="restore_limit" id="restore_limit">';
					
					echo '<option value="0" '.ex_POSTselect('restore_limit', 0, $backup_plan['restore_limit']).' >'.$l['disabled'].'</option>';
					
					for($i = 1; $i < 11; $i++){
						echo '<option value="'.$i.'" '.ex_POSTselect('restore_limit', $i, $backup_plan['restore_limit']).' >'.$i.'</option>';
					}
					
					echo '<option value="-1" '.ex_POSTselect('restore_limit', -1, $backup_plan['restore_limit']).' >'.$l['unlimited'].'</option>';
					
				echo '</select>
				</div>
			</div>
			<!-- <div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['enable_enduser_backup_servers'].'</label><br />
					<span class="help-block">'.$l['exp_enable_enduser_backup_servers'].'</span>
				</div>
				<div class="col-sm-6">
					'.get_checkbox('enable_enduser_backup_servers', '', 'enable_enduser_backup_servers', array('chk_it' => 1, 'val' => $backup_plan['enable_enduser_backup_servers'])).'
				</div>
			</div> -->
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['nice'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nice_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="nice" id="nice">';
					for($i=-20; $i<20; $i++){
						echo '<option value="'.$i.'" '.ex_POSTselect('nice', $i, $backup_plan['nice']).'>'.$i.'</option>';
					}
				echo '</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['ionice_prio'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ionice_prio_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="ionice_prio" id="ionice_prio">';
					for($i=0; $i<8; $i++){
						echo '<option value="'.$i.'" '.ex_POSTselect('ionice_prio', $i, $backup_plan['ionice_prio']).'>'.$i.'</option>';
					}
			echo '</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['ionice_class'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ionice_class_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<select class="custom-select" name="ionice_class" id="ionice_class">
						<option value="1" '.ex_POSTselect('ionice_class', 1, $backup_plan['ionice_class']).' >Real Time</option>
						<option value="2" '.ex_POSTselect('ionice_class', 2, $backup_plan['ionice_class']).'>Best Effort</option>
						<option value="3" '.ex_POSTselect('ionice_class', 3, $backup_plan['ionice_class']).'>Idle</option>
					</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6">
					<label class="control-label">'.$l['io_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_io_limit'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6">
					<input type="number" class="form-control" name="io_limit" value="'.POSTval('io_limit', $backup_plan['io_limit']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-6">
					<label class="control-label">'.$l['backup_compression'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_compression'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6">
					'.get_checkbox('compression', '', 'compression', array('chk_it' => 1, 'val' => $backup_plan['disable_compression'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-6">
					<label class="control-label">'.$l['check_dir_permissions'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_check_dir_permissions'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6">
					'.get_checkbox('check_dir_permissions', '', 'check_dir_permissions', array('chk_it' => 1, 'val' => true)).'
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row mx-auto w-100 my-3row mx-auto w-100 my-3">
	<div class="col-sm-12 col-md-12 col-lg-6 pl-0 border-right">
		<div class="roundheader hide_for_plan cursor-pointer" onclick="toggle_advoptions(\'adv\');"><label id="adv_advoptions_ind"  class="min_width">+</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['addvoption'].'</div>
		<div id="adv_advoptions" style="display:none;" class="hide_for_plan w-100">
			<div class="col-sm-12 bgaddv">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12">
						<label class="control-label">'.$l['backup_server_per_region'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['backup_server_per_region_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-12">
						<div class="scrollbar-virt">
							<table class="table table-bordered">
								<tr class="active">
									<th>'.$l['server_group_header'].'</th>
									<th>'.$l['sel_backupserver'].'</th>
									<th>'.$l['local_dir'].'</th>
								</tr>';
								
								foreach($servergroups as $sgid => $servergroup) {
									
									echo '<tr>
										<th>[Group] '.$servergroup['sg_name'].'</th>
										<th><select class="virt-select" name="bs_sg'.$sgid.'">
											<option value="0" '.ex_POSTselect('bs_sg'.$sgid, 0, $backup_plan['bs_servergroups']['bs_groups'][$sgid]).'>'.$l['default'].'</option>
											<option value="-1" '.ex_POSTselect('bs_sg'.$sgid, -1, $backup_plan['bs_servergroups']['bs_groups'][$sgid]).'>LOCAL</option>
											<optgroup label="SSH">';
										
												foreach($backupservers as $bid => $bs) {
													if($bs['type'] == 'SSH') {
														echo '<option value="'.$bid.'" '.ex_POSTselect('bs_sg'.$sgid, $bid, $backup_plan['bs_servergroups']['bs_groups'][$sgid]).'>'.$bs['name'].'</option>';
													}
												}
											
											echo '</optgroup>
											<optgroup label="FTP">';
												
												foreach($backupservers as $bid => $bs) {
													if($bs['type'] == 'FTP') {
														echo '<option value="'.$bid.'" '.ex_POSTselect('bs_sg'.$sgid, $bid, $backup_plan['bs_servergroups']['bs_groups'][$sgid]).'>'.$bs['name'].'</option>';
													}
												}
												
											echo '</optgroup>
										</select></th>
										<th><input type="text" class="form-control" name="dir_sg'.$sgid.'" value="'.POSTval('dir_sg'.$sgid, $backup_plan['bs_servergroups']['dir_groups'][$sgid]).'" placeholder="'.$l['default_dir'].'" size="40"/></th>
									</tr>';
									
									foreach($servers as $serid => $server) {
										
										if($server['sgid'] != $sgid) {
											continue;
										}
										
										echo '<tr>
											<td> - '.$server['server_name'].' ('.$server['ip'].')</td>
											<th><select class="virt-select" name="bs_s'.$serid.'">
												<option value="0" '.ex_POSTselect('bs_s'.$serid, 0, $backup_plan['bs_servergroups']['bs_servers'][$serid]).'>'.$l['default'].'</option>
												<option value="-1" '.ex_POSTselect('bs_s'.$serid, -1, $backup_plan['bs_servergroups']['bs_servers'][$serid]).'>LOCAL</option>
												<optgroup label="SSH">';
											
													foreach($backupservers as $bid => $bs) {
														if($bs['type'] == 'SSH') {
															echo '<option value="'.$bid.'" '.ex_POSTselect('bs_s'.$serid, $bid, $backup_plan['bs_servergroups']['bs_servers'][$serid]).'>'.$bs['name'].'</option>';
														}
													}
												
												echo '</optgroup>
												<optgroup label="FTP">';
													
													foreach($backupservers as $bid => $bs) {
														if($bs['type'] == 'FTP') {
															echo '<option value="'.$bid.'" '.ex_POSTselect('bs_s'.$serid, $bid, $backup_plan['bs_servergroups']['bs_servers'][$serid]).'>'.$bs['name'].'</option>';
														}
													}
													
												echo '</optgroup>
											</select></th>
											<th><input type="text" class="form-control" name="dir_s'.$serid.'" value="'.POSTval('dir_s'.$serid, $backup_plan['bs_servergroups']['dir_servers'][$serid]).'"  placeholder="'.$l['default_dir'].'" size="40"/></th>
										</tr>';
										
									}
									
								}
								
								echo '</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-sm-12 col-md-12 col-lg-6 pr-0">
		<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'vs\');">
			<label id="vs_advoptions_ind" class="min_width">+</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['list_vs'].'
		</div>
		<div id="vs_advoptions" style="display:none;" class="bgaddv w-100">
			<div class="bgaddv p-0 m-0 overflow-auto mh-25">
				<table class="table table-hover vps_table m-0">
					<tr>
						<th width="100">'.$l['vpsid'].'</th>
						<th width="100">'.$l['vps_name'].'</th>
						<th>'.$l['server'].'</th>
						<th>'.$l['hostname'].'</th>
						<th>'.$l['space'].'</th>
					</tr>';
					
					if(empty($vpses)) {
						echo '<tr>
							<td colspan="5" align="center"><b>'.$l['no_vps_in_plan'].'</b></td>
						</tr>';
					}
					
					foreach($vpses as $vpsid => $vps) {
						
						echo '<tr>
								<td width="100">'.$vpsid.'</td>
								<td width="100">'.$vps['vps_name'].'</td>
								<td>'.$servers[$vps['serid']]['server_name'].'</td>
								<td>'.$vps['hostname'].'</td>
								<td align="center">'.$vps['space'].' GB</td>
							</tr>';
						
					}
					
				echo '</table>
			</div>
		</div>
	</div>
</div>	
<br />
	<center>
		<input type="submit" name="editbackup_plan"  id="editbackup_plan" value="'.$l['submit'].'" class="go_btn" />
		<br /><br />
		<input type="submit" name="backup_now"  id="backup_now" value="'.$l['start_immediate_backup'].'" class="go_btn" />
	</center>
</form>

<div class="row mx-auto w-100 my-3">
	<div class="col-sm-12 p-0">
		<div id="panel-tasks" class="panel panel-blue-grey">
			<div class="panel-heading">
				<span>'.$l['list_tasks'].'</span>
				<i class="icon icon-tasks float-right h6 m-0"></i>
			</div>
			<div class="panel-content scrollbar-virt">
				<div id="table_tasks_container"></div>
			</div>
		</div>
	</div>
</div>
</div>';

softfooter();

}

?>