<?php

//////////////////////////////////////////////////////////////
//===========================================================
// twofactauth_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       4th September 2017
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function twofactauth_theme(){

global $theme, $globals, $kernel, $users, $l, $error, $done, $SESS, $twofactauth;

softheader($l['<title>']);

echo '
<div class="bg" >
<div class="row mx-auto my-3">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-users"></i> '.$l['twofactauth_title'].'</h4>
	</div>
</div>';

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

$(document).ready(function(){ 	 	
	$("#twofactauth_passcode").val(""); 	 	
	//$("#otp_email_user").html(); 	 	
	var selected_type = "none"; 	 	
	if(!empty("'.$twofactauth['2fa_type'].'")){ 		
		selected_type = "'.$twofactauth['2fa_type'].'"; 	
	} 

	$("#2fa_type").val(selected_type); 	 	
	// Display the QR Code Always 	
	$("#qrcode").html("<img src=\"'.$twofactauth['qrcode'].'\" />"); 	 	
	// Display the Secret Code Always 	
	$("#secret_key").html("'.$twofactauth['secret_key'].'"); 	
	$("#secret_key_val").val("'.$twofactauth['secret_key'].'"); 	 	
	show_otp_divs(); 
});
	
function reset_otp_key(){
	
	showalert("'.$l['twofactauth_secret_key_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			$.ajax({
				type: "GET",
				url: "'.$globals['index'].'act=twofactauth&api=json&reset_secret_key=1",
				dataType : "json",
				success: function(data){
					$("#secret_key").html(data.twofactauth.secret_key);
					$("#secret_key_val").val(data.twofactauth.secret_key);
					$("#qrcode").html("<img src=\""+data.twofactauth.qrcode+"\" />");
				},
				error: function(data) {
					//alert(data.description);
					return false;
				}
			});
		}
	});
	
	
	
	
	
	return false;
	
}


function show_otp_divs(){
	
	$(".otp_methods_div").css("display", "none");
	
	//alert($("#2fa_type").val())
	var show_div = $("#2fa_type").val()+"_otp_div";
	$("#"+show_div).show();
	if($("#2fa_type").val() != "none"){
		$("#otp_input_div").show();
	}
}

function send_passcode(){
	$("#progress_bar").show();
	
	$.ajax({
		type: "GET",
		url: "'.$globals['index'].'act=twofactauth&api=json&email_passcode=1",
		dataType : "json",
		success: function(data){
			$("#progress_bar").hide();
			
			//alert(data);
			if("done" in data){
				showalert(data.done.msg);
			}
			
			if("error" in data){
				error(data.error);
			}
		},
		error: function(data) {
			$("#progress_bar").hide();
			//alert(data.description);
			return false;
		}
	});
	
	return false;
}

function twoFactAuthForm(){
	
	$("#progress_bar").show();
	
	$.ajax({
		type: "POST",
		url: "'.$globals['index'].'act=twofactauth&api=json",
		data :  $("#twofactauthform").serialize(),
		dataType : "json",
		success: function(data){
			$("#progress_bar").hide();
			//alert(JSON.stringify(data));

			if("done" in data){
				showalert(data.done.msg);
				$("#twofactauthform").trigger("reset");
			}
			
			if("error" in data){
				error(data.error);
			}
		},
		error: function(data) {
			$("#progress_bar").hide();
			//alert(data.description);
			return false;
		}
	});
	
	return false;
}

// ]]></script>';


if($done){
	show_alert($l['saved']);
}

echo '

<div id="form-container">
<form accept-charset="'.$globals['charset'].'" name="twofactauth" class="form-horizontal" id="twofactauthform" onsubmit="return twoFactAuthForm();">
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4">
		<label class="control-label">'.$l['twofactauth_pref'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['twofactauth_pref_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4">
		<select class="custom-select" name="2fa_type" id="2fa_type" onchange="show_otp_divs();">
			<option value="none">'.$l['none_twofactauth'].'</option>
			<option value="email">'.$l['email_twofactauth'].'</option>
			<option value="app">'.$l['app_twofactauth'].'</option>';
		echo '</select>
	</div>	
</div>

<div class="row mx-auto w-100 my-3 otp_methods_div" id="email_otp_div" style="display:none;">
	<div class="col-sm-12 p-0">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<span>'.$l['twofactauth_email_sent_to'].'&nbsp;&nbsp;&nbsp;<b id="otp_email_user">';if(empty($SESS["uid"])){ echo $globals["soft_email"];}else{ echo $SESS["og_name"];} echo '</b></span>
			</div>
			<div class="col-sm-4">
				<button type="button" class="btn" name="email_passcode_but" id="email_passcode_but" onclick="send_passcode();">'.$l['twofactauth_email_passcode'].'</button>
			</div>
		</div>
	</div>
</div>
<div class="row mx-auto w-100 my-3 otp_methods_div" id="app_otp_div" style="display:none;">
	<div class="col-sm-12 p-0">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				'.$l['twofactauth_desc'].'<br />
				<label class="control-label">'.$l['twofactauth_secret_key'].'<span id="secret_key"></span></label><br>
				<a href="#" onclick="reset_otp_key();return false;">'.$l['twofactauth_reset_key'].'</a>
			</div>
			<div class="col-sm-4">
				<div id="qrcode"></div><br />
			</div>
		</div>
	</div>
</div>
<div class="row mx-auto w-100 my-3 otp_methods_div" id="otp_input_div" style="display:none;">
	<div class="col-sm-4 ">
		<label class="control-label">'.$l['twofactauth_code_input'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['twofactauth_code_input_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4 ">
		<input type="text" name="twofactauth_passcode" maxlength="6" class="form-control" id="twofactauth_passcode" autocomplete="off"/>
	</div>
</div>

</div>

<center>
<input type="hidden" name="twofactauth_save" value="1" />
<input type="hidden" name="secret_key" id="secret_key_val" />
<button class="go_btn" type="submit"  name="twofactauth_submit" id="twofactauth_submit">'.$l['submit_button'].'</button>
</center>

</form>
<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>
';

echo '<br/><br/>
<br/><br/>

</div>';
softfooter();

}
?>